> # NAME

> cgGLSetParameterArray2d - set the values of an array parameter

> # SYNOPSIS

>       #include <Cg/cgGL.h>

>       void cgGLSetParameterArray2d( CGparameter param,
>                                     long offset,
>                                     long nelements,
>                                     const double * v );

> # PARAMETERS

> param

>   The array parameter that will be set.

> offset

>   An offset into the array parameter at which to start setting elements. A value of 0 will begin at the first element of the array.

> nelements

>   The number of elements to set. A value of 0 will default to the total number of elements in the array minus the value of offset.

> v

>   The array of values used to set the parameter. This must be a contiguous set of 2 * nelements values.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgGLSetParameterArray2d sets 2 values per element of a scalar or vector array parameter.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

> CG_OUT_OF_ARRAY_BOUNDS_ERROR is generated if offset or nelements is outside the bounds of param.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

> # HISTORY

> cgGLSetParameterArray2d was introduced in Cg 1.1.

> # SEE ALSO

> cgGLSetParameter, cgGLGetParameterArray